### Class

# CM Event

#### Description

    class CM.Event : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- CmRoomEvent
- CmVerificationEvent

#### Instance methods

###### cm_event_get_id

No description available.

###### cm_event_get_m_type

Get the Matrix type of an event.

###### cm_event_get_sender

Get the sender of the event.

###### cm_event_get_state

No description available.

###### cm_event_get_time_stamp

Get the event time stamp in milliseconds.

###### cm_event_is_encrypted

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### CM.Event::updated

Emitted when the state of the event changed. See `CmEventState` and `cm_event_get_state()`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMEventClass {
      GObjectClass parent_class;
      gpointer (* generate_json) (
        CmEvent* self,
        gpointer room
      );
      char* (* get_api_url) (
        CmEvent* self,
        gpointer room
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`generate_json: gpointer (* generate_json) ( CmEvent* self, gpointer room )`

  No description available.

`get_api_url: char* (* get_api_url) ( CmEvent* self, gpointer room )`

  No description available.

#### Virtual methods

###### CM.EventClass.generate_json

No description available.

###### CM.EventClass.get_api_url

No description available.